[med-svn] r20019 - in trunk/packages/genometools/trunk/debian: . strip-nondeterminism

Sascha Steinbiss sascha-guest at moszumanska.debian.org
Mon Aug 31 20:38:10 UTC 2015


Author: sascha-guest
Date: 2015-08-31 20:38:09 +0000 (Mon, 31 Aug 2015)
New Revision: 20019

Added:
   trunk/packages/genometools/trunk/debian/strip-nondeterminism/
   trunk/packages/genometools/trunk/debian/strip-nondeterminism/a2x
   trunk/packages/genometools/trunk/debian/strip-nondeterminism/pdflatex
Modified:
   trunk/packages/genometools/trunk/debian/rules
Log:
improve reproducibility of build


Modified: trunk/packages/genometools/trunk/debian/rules
===================================================================
--- trunk/packages/genometools/trunk/debian/rules	2015-08-31 07:42:18 UTC (rev 20018)
+++ trunk/packages/genometools/trunk/debian/rules	2015-08-31 20:38:09 UTC (rev 20019)
@@ -4,6 +4,8 @@
 #export DH_VERBOSE=1
 export DESTDIR=$(CURDIR)/debian/tmp
 export DH_ALWAYS_EXCLUDE=.gitignore
+export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
 ifeq ($(BITS),64)
@@ -13,7 +15,7 @@
 endif
 # check whether faketime can be used
 ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
-  FAKETIME:=faketime "`dpkg-parsechangelog -S date`" 
+  FAKETIME:=faketime -f "`TZ=UTC date -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d %H:%M:%S'`"
 endif
 
 %:
@@ -21,7 +23,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) cleanup
-	cd doc/manuals; make cleanup
+	cd doc/manuals; $(MAKE) cleanup
 	# should be deleted inside doc/manuals/Makefile
 	rm -f doc/manuals/annotationsketch.out \
 	      doc/manuals/api_reference.tex    \
@@ -48,8 +50,10 @@
 	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby' -threads 3
 
 override_dh_auto_install:
-	dh_auto_install -- installmanpages useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
-	dh_auto_install --sourcedirectory=gtpython --destdir=$(CURDIR)/debian/python-genometools
+	dh_auto_install -- installmanpages useshared=yes \
+	  64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
+	dh_auto_install --sourcedirectory=gtpython \
+	  --destdir=$(CURDIR)/debian/python-genometools
 
 override_dh_strip:
 	dh_strip --dbg-package=genometools-dbg

Added: trunk/packages/genometools/trunk/debian/strip-nondeterminism/a2x
===================================================================
--- trunk/packages/genometools/trunk/debian/strip-nondeterminism/a2x	                        (rev 0)
+++ trunk/packages/genometools/trunk/debian/strip-nondeterminism/a2x	2015-08-31 20:38:09 UTC (rev 20019)
@@ -0,0 +1,5 @@
+#!/usr/bin/env sh
+# Depends: faketime
+# Eventually the upstream tool should support SOURCE_DATE_EPOCH internally.
+test -n "$SOURCE_DATE_EPOCH" || { echo >&2 "$0: SOURCE_DATE_EPOCH not set"; exit 255; }
+exec faketime -f "$(TZ=UTC date -d "@$SOURCE_DATE_EPOCH" +'%Y-%m-%d %H:%M:%S')" /usr/bin/a2x "$@"
\ No newline at end of file


Property changes on: trunk/packages/genometools/trunk/debian/strip-nondeterminism/a2x
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/packages/genometools/trunk/debian/strip-nondeterminism/pdflatex
===================================================================
--- trunk/packages/genometools/trunk/debian/strip-nondeterminism/pdflatex	                        (rev 0)
+++ trunk/packages/genometools/trunk/debian/strip-nondeterminism/pdflatex	2015-08-31 20:38:09 UTC (rev 20019)
@@ -0,0 +1,5 @@
+#!/usr/bin/env sh
+# Depends: faketime
+# Eventually the upstream tool should support SOURCE_DATE_EPOCH internally.
+test -n "$SOURCE_DATE_EPOCH" || { echo >&2 "$0: SOURCE_DATE_EPOCH not set"; exit 255; }
+exec faketime -f "$(TZ=UTC date -d "@$SOURCE_DATE_EPOCH" +'%Y-%m-%d %H:%M:%S')" /usr/bin/pdflatex "$@"
\ No newline at end of file


Property changes on: trunk/packages/genometools/trunk/debian/strip-nondeterminism/pdflatex
___________________________________________________________________
Added: svn:executable
   + *




More information about the debian-med-commit mailing list